Bug 1569858 - [Docs][EPIC][ODL] Document Neutron API Parity
Summary: [Docs][EPIC][ODL] Document Neutron API Parity
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: ---
Assignee: Joanne O'Flynn
QA Contact: James Smith
URL:
Whiteboard: docs-accepted
Depends On: 1482527 1483414 1488797 1488810 1488826 1528941 1528947 1528948 1528949 1608458 1608517 1608520
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 07:06 UTC by Lucy Bopf
Modified: 2019-02-28 15:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-17 14:51:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lucy Bopf 2018-04-20 07:06:39 UTC
Name of function:
Neutron API Parity

User story:
As an administrator, I want to be able to use all common Neutron APIs when deploying RHOSP with OpenDaylight, and get network virtualization across the stack.

Purpose of function:
Provide a prioritized list of core L2 and L3 Neutron features/APIs that should be supported with OpenDaylight NetVirt. 
NetVirt is a Network Virtualization application developed on OpenDaylight consisting of modular sub-services such as L2, L3, ACL, NAT, DHCP, IPv6 control, and more, and supports the Neutron API.

Work required:
List supported features and APIs
How to specify that ODL is required (in Director) (update)
(review test material to see if there’s changes)
How to update

Comment 2 Lucy Bopf 2018-04-23 01:06:38 UTC
Estimate added.

Amended 'Work required' list (new entry marked with asterisk):

*How to enable TLS for ODL deployments
List supported features and APIs
How to specify that ODL is required (in Director) (update)
(review test material to see if there’s changes)
How to update

Comment 3 Lucy Bopf 2018-07-10 04:49:39 UTC
Assigning to Joanne for review.

Joanne, please take a look through the detail plan in comment 1 for further information about what is required for this EPIC.

Comment 6 Lucy Bopf 2018-08-14 04:19:51 UTC
This work has been identified as a priority for the RHOSP 14 release cycle. Adding flags to account for this in tracking.

Comment 7 Derek 2018-09-11 13:11:33 UTC
SME source:  Nir, Ashwin, Sridhar Gaddam
OSP 13 and up
smaller bugs assigned to break it up:  see depends values


Note You need to log in before you can comment on or make changes to this bug.